For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Overview
    • Introduction
    • Response Codes
  • API Reference
      • GETGet integration
      • PUTUpdate integration
      • DELDelete integration
      • GETList integrations
      • POSTCreate integration
LogoLogo
API ReferenceIntegrations

Create integration

||View as Markdown|
POST
https://hublinks.io/rest/accounts/:account_id/integrations
POST
/rest/accounts/:account_id/integrations
$curl -X POST https://hublinks.io/rest/accounts/account_id/integrations \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration": {
> "status": "ENABLED",
> "account_id": "{{account_id}}",
> "integration_id": "{{integration_id}}"
> }
>}'
200Successful
1{}
Create an integration. **Request body fields:** - `integration_id` (string, required) - e.g. `hubspot`, `salesforce`. - `account_id` (string, required) - Account to associate the integration with. - `config` (object, optional) - Provider-specific configuration key/value pairs.
Was this page helpful?
Previous

List integrations

Next

List seat threads

Built with

Create an integration.

Request body fields:

  • integration_id (string, required) - e.g. hubspot, salesforce.
  • account_id (string, required) - Account to associate the integration with.
  • config (object, optional) - Provider-specific configuration key/value pairs.

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

account_idstringRequired

Request

This endpoint expects an object.
integrationobjectRequired

Response

Successful response